Subject: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Oct 2014 17:12:04 -0400

>> If you want that, just set scroll-preserve-screen-position accordingly.
> I don't see how that would solve the problem I'm reporting.  For example:

It solves the problem as long as you don't mix cursor-movement (where
you move point, which in turn might cause Emacs to move the viewport)
with scrolling (where you move the viewport, which might in turn cause
Emacs to move point).

>>> Therefore, `preserve-goal-column' would be a better name for the
>>> property, since it would refer to both types of goal columns.
>> Actually both types are temporary (as opposed to `goal-column' which is
>> set typically once and for all by the major mode).
> I'm lost here.  I was aware of only these two types of "goal columns":
> 1. Temporary: Set after every command which moves point, except for
>    those commands intended for _vertical_ motion (C-p/C-n/C-v/M-v/...).
> 2. Semi-permanent: Set with the `set-goal-column' command.  When this
>    goal column is defined, it prevails over the temporary one.

That's right.  `goal-column' is number 2.  Your problem is with
number 1.

        Stefan